commit:     febd56face0ddcc351871c084214282841e53542
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 16 22:42:16 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Dec 16 22:51:53 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=febd56fa

sys-fs/e2fsprogs: Bump to version 1.44.5

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-fs/e2fsprogs/Manifest                          |   1 +
 sys-fs/e2fsprogs/e2fsprogs-1.44.5.ebuild           | 140 +++++++++++++++++++++
 ...sprogs-1.44.4-fix_make_install_for_subset.patch |  59 +++++++++
 3 files changed, 200 insertions(+)

diff --git a/sys-fs/e2fsprogs/Manifest b/sys-fs/e2fsprogs/Manifest
index adc2d6c080b..e43a9acbcc4 100644
--- a/sys-fs/e2fsprogs/Manifest
+++ b/sys-fs/e2fsprogs/Manifest
@@ -4,3 +4,4 @@ DIST e2fsprogs-1.43.9.tar.gz 7470878 BLAKE2B 
dcc1a6fda87884a0b3b1d49f4116be060bf
 DIST e2fsprogs-1.44.2.tar.gz 7562398 BLAKE2B 
a828cb9f5f3ee1579a2c5b29ef0eaf0e5696e2bf27a639cf1bf27b8d334bbbd1d142588e53e359934338f2ec95d06343a42b7c2fbd44dd6e01b348958aae3189
 SHA512 
d416e14a69f3e2e4ea2f4563764c422cc63400bcd514ddb12ebda6456ef04cff523da215664ede1329183acc22246111016e1abd92ff604a23e015e066dd379a
 DIST e2fsprogs-1.44.3.tar.gz 7570472 BLAKE2B 
be713a388e3de73c0f21c85ababcf0a63aa654c988106bd38b21db6d4566915afb201ce1a3c6d55c9a300880e2b39b1702e8463c478bad51749482f379e4d844
 SHA512 
6203a24e5149de5b6d44cc158f9ed1d87c3083a2b41c5249ceb09fb3cdf795ab3839d7d8ce73d4b0e11d4c505b961ff8cbf0de45b9aab0a03d504750fc7da885
 DIST e2fsprogs-1.44.4.tar.xz 5363496 BLAKE2B 
8c7216bd63dbba0660c7383d6ed068be0a7016b50235d22f855283bb57d3355a3ea5bfa47294b71b67fcc5d4af28219abeb9cf4a6429595a43680d3d787bdf1a
 SHA512 
52e39565dee30997b9c245b5d8791844067a903a570082f3a5ff9d9ef96624535322617bb21029056c88259fef46416eb1181bd7aec419e64fc021830887ec8f
+DIST e2fsprogs-1.44.5.tar.xz 5375996 BLAKE2B 
a6069e7c4889cdd3a30d94994d179c024edf098205012446677c76ed206f18e71a0f241527ac33ee35eebdfa8fe87a81dde5228694186fc4e1e55e5b7bc87862
 SHA512 
c0faec90b2be81460d374c150be917cd6beb1d10dc7cd0c6c4747de19de9af1763e90d48aec5b3c0fbff1b59bf79a35f93536cd52e68d1e45d4db610e158bb2e

diff --git a/sys-fs/e2fsprogs/e2fsprogs-1.44.5.ebuild 
b/sys-fs/e2fsprogs/e2fsprogs-1.44.5.ebuild
new file mode 100644
index 00000000000..1c0a1c87267
--- /dev/null
+++ b/sys-fs/e2fsprogs/e2fsprogs-1.44.5.ebuild
@@ -0,0 +1,140 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit flag-o-matic multilib toolchain-funcs
+
+DESCRIPTION="Standard EXT2/EXT3/EXT4 filesystem utilities"
+HOMEPAGE="http://e2fsprogs.sourceforge.net/";
+SRC_URI="mirror://sourceforge/e2fsprogs/${P}.tar.xz
+       mirror://kernel/linux/kernel/people/tytso/e2fsprogs/v${PV}/${P}.tar.xz
+       elibc_mintlib? ( mirror://gentoo/${PN}-1.42.9-mint-r1.patch.xz )"
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 -x86-fbsd ~amd64-linux ~x86-linux ~m68k-mint"
+IUSE="fuse nls static-libs elibc_FreeBSD"
+
+RDEPEND="~sys-libs/${PN}-libs-${PV}
+       >=sys-apps/util-linux-2.16
+       fuse? ( sys-fs/fuse:0 )
+       nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+       sys-apps/texinfo"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.41.8-makefile.patch
+       "${FILESDIR}"/${PN}-1.40-fbsd.patch
+       "${FILESDIR}"/${PN}-1.42.13-fix-build-cflags.patch #516854
+
+       # Upstream patches (can usually removed with next version bump)
+)
+
+src_prepare() {
+       if [[ ${CHOST} == *-mint* ]] ; then
+               PATCHES+=( "${WORKDIR}"/${PN}-1.42.9-mint-r1.patch )
+       fi
+
+       default
+
+       eapply -R "${FILESDIR}"/${PN}-1.44.4-fix_make_install_for_subset.patch
+
+       cp doc/RelNotes/v${PV}.txt ChangeLog || die "Failed to copy Release 
Notes"
+
+       # Get rid of doc -- we don't use them. This also prevents a sandbox
+       # violation due to mktexfmt invocation
+       rm -r doc || die "Failed to remove doc dir"
+
+       # blargh ... trick e2fsprogs into using e2fsprogs-libs
+       sed -i -r \
+               -e 's:@LIBINTL@:@LTLIBINTL@:' \
+               -e 
'/^(STATIC_)?LIB(COM_ERR|SS)/s:[$][(]LIB[)]/lib([^@]*)@(STATIC_)?LIB_EXT@:-l\1:'
 \
+               -e '/^DEP(STATIC_)?LIB(COM_ERR|SS)/s:=.*:=:' \
+               MCONFIG.in || die "muck libs" #122368
+       sed -i -r \
+               -e '/^LIB_SUBDIRS/s:lib/(et|ss)::g' \
+               Makefile.in || die "remove subdirs"
+       ln -s $(which mk_cmds) lib/ss/ || die
+
+       # Avoid rebuild
+       echo '#include_next <ss/ss_err.h>' > lib/ss/ss_err.h
+}
+
+src_configure() {
+       # Keep the package from doing silly things #261411
+       export VARTEXFONTS="${T}/fonts"
+
+       # needs open64() prototypes and friends
+       append-cppflags -D_GNU_SOURCE
+
+       local myeconfargs=(
+               --with-root-prefix="${EPREFIX%/}/"
+               --enable-symlink-install
+               --enable-elf-shlibs
+               $(tc-has-tls || echo --disable-tls)
+               --without-included-gettext
+               $(use_enable fuse fuse2fs)
+               $(use_enable nls)
+               --disable-libblkid
+               --disable-libuuid
+               --disable-fsck
+               --disable-uuidd
+       )
+       ac_cv_path_LDCONFIG=: econf "${myeconfargs[@]}"
+
+       if [[ ${CHOST} != *-uclibc ]] && grep -qs 'USE_INCLUDED_LIBINTL.*yes' 
config.{log,status} ; then
+               eerror "INTL sanity check failed, aborting build."
+               eerror "Please post your ${S}/config.log file as an"
+               eerror "attachment to 
https://bugs.gentoo.org/show_bug.cgi?id=81096";
+               die "Preventing included intl cruft from building"
+       fi
+}
+
+src_compile() {
+       emake V=1 COMPILE_ET=compile_et MK_CMDS=mk_cmds
+
+       # Build the FreeBSD helper
+       if use elibc_FreeBSD ; then
+               cp "${FILESDIR}"/fsck_ext2fs.c .
+               emake V=1 fsck_ext2fs
+       fi
+}
+
+src_install() {
+       # need to set root_libdir= manually as any --libdir options in the
+       # econf above (i.e. multilib) will screw up the default #276465
+       emake \
+               STRIP=: \
+               root_libdir="${EPREFIX%/}/usr/$(get_libdir)" \
+               DESTDIR="${D%/}" \
+               install install-libs
+
+       einstalldocs
+
+       insinto /etc
+       doins "${FILESDIR}"/e2fsck.conf
+
+       # Move shared libraries to /lib/, install static libraries to
+       # /usr/lib/, and install linker scripts to /usr/lib/.
+       gen_usr_ldscript -a e2p ext2fs
+
+       # configure doesn't have an option to disable static libs :/
+       if ! use static-libs ; then
+               find "${D}" -name '*.a' -delete || die
+       fi
+
+       if use elibc_FreeBSD ; then
+               # Install helpers for us
+               into /
+               dosbin "${S}"/fsck_ext2fs
+               doman "${FILESDIR}"/fsck_ext2fs.8
+
+               # filefrag is linux only
+               rm \
+                       "${ED%/}"/usr/sbin/filefrag \
+                       "${ED%/}"/usr/share/man/man8/filefrag.8 || die
+       fi
+}

diff --git 
a/sys-fs/e2fsprogs/files/e2fsprogs-1.44.4-fix_make_install_for_subset.patch 
b/sys-fs/e2fsprogs/files/e2fsprogs-1.44.4-fix_make_install_for_subset.patch
new file mode 100644
index 00000000000..222366f6c01
--- /dev/null
+++ b/sys-fs/e2fsprogs/files/e2fsprogs-1.44.4-fix_make_install_for_subset.patch
@@ -0,0 +1,59 @@
+From ed07fd93056a2d2c03affe3255d3d5747deaab21 Mon Sep 17 00:00:00 2001
+From: Theodore Ts'o <ty...@mit.edu>
+Date: Wed, 22 Aug 2018 13:42:23 -0400
+Subject: Fix "make install" for configure --enable-subset
+
+Signed-off-by: Theodore Ts'o <ty...@mit.edu>
+---
+ Makefile.in | 24 ++++++++++++++----------
+ 1 file changed, 14 insertions(+), 10 deletions(-)
+
+diff --git a/Makefile.in b/Makefile.in
+index 745e8590..80ab2994 100644
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -42,7 +42,7 @@ subs: $(DEP_SUBSTITUTE)
+ 
+ progs: all-progs-recursive
+ libs: all-libs-recursive
+-all-progs-recursive all-libs-recursive: subs
++all-progs-recursive all-libs-recursive:: subs
+ 
+ rpm:
+       sh contrib/build-rpm
+@@ -91,19 +91,23 @@ TAGS clean-recursive distclean-recursive depend-recursive 
fullcheck-recursive \
+       done
+ 
+ all-progs-recursive install-progs-recursive install-strip-progs-recursive \
+-  uninstall-progs-recursive coverage.txt-progs-recursive: all-libs-recursive
+-      @for subdir in $(PROG_SUBDIRS); do \
+-        if test -d $$subdir ; then \
+-          target=`echo $@|$(SED) 's/-progs-recursive//'`; \
+-          echo making $$target in $$subdir; \
+-          (cd $$subdir && $(MAKE) $$target) || exit 1; \
+-        fi ; \
+-      done
++  uninstall-progs-recursive coverage.txt-progs-recursive:: all-libs-recursive
++
++
++@ALL_CMT@all-progs-recursive install-progs-recursive 
install-strip-progs-recursive \
++@ALL_CMT@  uninstall-progs-recursive coverage.txt-progs-recursive:: 
all-libs-recursive
++@ALL_CMT@     @for subdir in $(PROG_SUBDIRS); do \
++@ALL_CMT@       if test -d $$subdir ; then \
++@ALL_CMT@         target=`echo $@|$(SED) 's/-progs-recursive//'`; \
++@ALL_CMT@         echo making $$target in $$subdir; \
++@ALL_CMT@         (cd $$subdir && $(MAKE) $$target) || exit 1; \
++@ALL_CMT@       fi ; \
++@ALL_CMT@     done
+ 
+ all-libs-recursive install-libs-recursive install-strip-libs-recursive \
+   uninstall-libs-recursive install-shlibs-libs-recursive \
+   install-shlibs-strip-libs-recursive uninstall-shlibs-libs-recursive \
+-  coverage.txt-libs-recursive:
++  coverage.txt-libs-recursive::
+       @for subdir in $(LIB_SUBDIRS); do \
+         if test -d $$subdir ; then \
+           target=`echo $@|$(SED) 's/-libs-recursive//'`; \
+-- 
+cgit 1.2-0.3.lf.el7
+

Reply via email to